Is it still possible to boot from 2.0.x once upgraded to 2.2.x?

Is it still possible to boot from 2.0.x once upgraded to 2.2.x?

Post by Jesus M. Salvo Jr » Thu, 01 Apr 1999 04:00:00



I was reading in the documentation on upgrading to the 2.2.x kernels,
that certain non-kernel packages only works with 2.2, and therefore once
upgraded, cannot be used on 2.0.x

So, if I fail to upgarde sucessfully to 2.2.x, is it possible to boot
back to 2.0.x when some of the packages only runs on 2.2?

Thanks,

John Salvo

 
 
 

1. Wacky 2.0->2.2 upgrade problem ftp/telnet

Hi,
        I have a really strange problem involving my dial-in ppp
server (Slackware 1.2.13)   with a ppp-conencted box using the latest
kernal V2.2 connecting to Solaris 5.7 SUNS with telnet/ftp

The story so far...
    For several years, I have had a ppp server running fine (Linux
1.2.13) on an ancient 386sx16, using mgetty, DIP (firing off
pppstart).
        This works extremely well for HTTP/ftp/telnet etc.. without
    problems at all   UP TO NOW!

I've recently upgraded my home machine from a V2.0 kernel to the V2.2
Kernel  (Slackware7.0) and now for some strange reason,
ftp and telnet sessions SPECIFICALLY TO Solaris 5.7 machines
the other side of the ppp connection seem crippled
(characters are echoed after a 4s delay, and
data arrives in huge blocks).  My DIP script and settings are copied
over from the old 2.0 system, and I'm not using CHAP etc.. passwords
or a firewall  (so I guess I don't need to fiddle with ipchains ?)

     Strangely,  ftp and telnet to a SUN running old SunOS works
perfectly well (as it does to Linux boxes).  I know of people running
slackware 7.0 on real ethernet (no via telephone line)  and that seems
OK too.  If I connect to the SunOS, the rsh to the Solaris machines,
that works too.  It's just the direct connection to the Solaris 5.7
using ftp/telnet which has problems  (http seems OK).

I've looked at the ppp debugging info, and nothing seems wrong (the
fact that it all works 100% OK except for ftp/telnet into Solaris 5.7
boxes seems to prove this.
      I've also tweaked MTU/MRU till I'm blue in the face, and that
doesn't seem to be the problem either

          There's something very screwy going on that I have yet to
get to the bottom of.   If anyone has nuggets of wisdom to share, I
would be very grateful, otherwise I'm in for a long session with a sniffer.


2. Redhat9: do I have bad gcc distribution?

3. for 2.2.x i386 Linux kernel DoS - Affects 2.2.x and probably 2.0.x

4. Install jdk fail in RH7.3

5. upgrade kernel 2.2 from kernel 2.0.x without install redhat 6.0

6. Redhat 5.1, Alpha Multia, ncr53c810

7. Upgrading kernel from 2.0 -> 2.2 broke PPP

8. I a boot floppy necessary to install Linux?

9. proxy blocking upgrading 2.0->2.2

10. Discussion of Linux 2.2 upgrades from 2.0

11. Upgraded from 2.2-GAMMA to 2.2-RELEASE: problems...

12. Problem upgrading to RedHat kernal 2.2-17 from 2.2-16

13. Upgrading kernel 2.2.x to 2.4.x and GLibc 2.1.3 to 2.2.x